services:
  postgres:
    image: postgres:16-alpine
    container_name: navi-postgres
    restart: unless-stopped
    environment:
      POSTGRES_USER: navi
      POSTGRES_PASSWORD: navi
      POSTGRES_DB: navi
    ports:
      - '5432:5432'
    volumes:
      - navi_pg:/var/lib/postgresql/data

  redis:
    image: redis:7-alpine
    container_name: navi-redis
    restart: unless-stopped
    ports:
      - '6379:6379'
    volumes:
      - navi_redis:/data

  mailpit:
    image: axllent/mailpit:v1.21
    container_name: navi-mailpit
    restart: unless-stopped
    ports:
      - '1025:1025' # SMTP
      - '8025:8025' # Web inbox

volumes:
  navi_pg:
  navi_redis:
